> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.pixeloffsetmode.md).

# PixelOffsetMode

Namespace: **System.Drawing.Drawing2D**

Assembly: **System.Drawing.Managed** (4.0.0.0)

Specifies how pixels are offset during rendering.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum PixelOffsetMode : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum PixelOffsetMode As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name            | Description                                                                                                   |
| --------------- | ------------------------------------------------------------------------------------------------------------- |
| **Default**     | Specifies the default mode.                                                                                   |
| **Half**        | Specifies that pixels are offset by -.5 units, both horizontally and vertically, for high speed antialiasing. |
| **HighQuality** | Specifies high quality, low speed rendering.                                                                  |
| **HighSpeed**   | Specifies high speed, low quality rendering.                                                                  |
| **Invalid**     | Specifies an invalid mode.                                                                                    |
| **None**        | Specifies no pixel offset.                                                                                    |

## Used By

| Name                                                                                                                         | Description                                                                                                                                                       |
| ---------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Graphics.PixelOffsetMode](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.pixeloffsetmode.md) | Gets or sets a value specifying how pixels are offset during rendering of this [Graphics](/system.drawing.managed/api/system.drawing/system.drawing.graphics.md). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.pixeloffsetmode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
